**`Dharamveer Yadav `[NAME]**-NL- Phone: (M)**` +918800644312`[PHONES_PHONE]** Email: **`dharmveeryadav1990@yahoo.com`[EMAILS_EMAIL]** -NL- **`SUMMARY`[SUMMARY_HEADING]** -NL-  Competent and versatile developer with 7+ years of extensive experience in creating, developing and design -NL- of Web Application, Hybrid Mobile and Customized Mapping and GIS Solutions application development. -NL-  Adapt in creating and developing web and hybrid application using Ionic 3, Ionic 4, ANGULAR-2 ... 7, -NL- JavaScript, Material design 2, SCSS, React, React Native, NODE js, ArcGIS, ESRI, GIS (geographic- -NL- information-systems), CSS3, HTML5, Advance SCSS, JQuery, Cordova, OnsenUI, Oracle Adf and Java. -NL-  Reliable as a fully contributing, responsible and accountable member of task/project teams has worked with -NL- team of 5+ members and met project deadlines according to management needs. -NL- **`EDUCATION`[EDUCATION_HEADING]** -NL-  **`B.Tech`[EDUCATION_DEGREE]** from **`Vellore Institute of Technology`[EDUCATION_INSTITUTE]**, Vellore Tamilnadu. -NL- **`WORK Experience`[WORK_EXPERIENCE_HEADING]** -NL- **`Tata Consultancy Services`[EMPLOYER_COMPANY_NAME]**, Noida -NL- (July 2019 – Current) -NL- Client: RTI International (Angular web development) -NL- Technologies and Tools: -NL- Angular 7, Typescript, Angular Material, Node js, MongoDB, Microsoft Azure Container, -NL- Docker, Git, Microsoft Azure Cloud, Microsoft Authentication Library -NL- Introduction: -NL- RTI International client, Syntegration Group work on Creaking complexity concept, where they apply this -NL- concept in resolving conflict arisen inside or outside organization for their client. -NL- They have this whole process manually and needed to automate it. -NL- Responsibilities: -NL-  Was involved in project from scratch, was having responsibility to create basic folder architecture. -NL-  Built frontend end functionality. -NL-  Incorporated Redux pattern, NGRX for Angular. -NL-  Incorporated Angular best practices guidelines like code formatting using Prettier, TsLint, Error tracking using -NL- Sentry and Microsoft Application Insights. -NL-  Unit testing using Karma and Jasime. -NL-  End to end testing using Protractor. -NL- **`Tata Consultancy Services`[EMPLOYER_COMPANY_NAME]**, Noida -NL- (Jan 2019 – Jun 2019) -NL- Client: **`RTI International (Mobile Development) `[EMPLOYER_ROLE]**-NL- Technologies and Tools: -NL- Angular7, IONIC 4, Cordova, Typescript, Angular Material, Node javaScript, MongoDB, Microsoft -NL- Azure Container, Docker, Git, Microsoft Azure Cloud, Microsoft Authentication Library -NL- Introduction: -NL- RTI International had Hybrid Mobile App ‘RTI Insider News Mobile App’ and required to update from -NL- IONIC 3 to IONIC 4. Upgrade had many breaking changes and it was really difficult to do simple library -NL- **`Dharamveer Yadav `[NAME]**-NL- Phone: (M)**` +918800644312`[PHONES_PHONE]** Email: **`dharmveeryadav1990@yahoo.com`[EMAILS_EMAIL]** -NL- upgrade. On other hand Application had lots of disabled or not in use functionality and as part of code clean -NL- up we had to uncouple those functionalities, after researching a lot in figured out that we should write whole -NL- code from scratch and will add code piece by piece. -NL- Responsibilities: -NL-  Incorporated some latest design pattern in market in order to improve performance and reliability and we -NL- agreed on Redux and for Angular its NGRX. -NL-  Create basic folder structure. -NL-  Created while boilerplate for NGRX pattern which quite tricky at beginning. -NL-  Created State Model for Application. -NL-  Built Application as per new version of IONIC and NGXS. -NL-  Incorporated Microsoft Application Insight for monitoring the application. -NL- **`Tata Consultancy Services`[EMPLOYER_COMPANY_NAME]**, Noida -NL- (July 2018 – Dec 2018) -NL- Client: **`RTI International (React web Development)`[EMPLOYER_ROLE]** -NL- Technologies and Tools: -NL- NodeJs, ExpressJs, Sequlize, SQL Server, JaveScript, React, Azure Functions, Azure Blob Storage, -NL- Azure Storage Queue, Azure Container Registry, Docker, Docker-Compose. -NL- Introduction: -NL- Application is for internal use only which is used for showing revenue graphs, tables from backlog, -NL- future opportunities and actual generated revenue which is provide visuals to finance team of revenue flow -NL- from different business units. -NL- Responsibilities: -NL-  Maintaining and building frontend changes. -NL-  In phase of creating CI/ CD pipeline using Azure DevOps. -NL- **`Tata Consultancy Services`[EMPLOYER_COMPANY_NAME]**, Noida -NL- (Feb 2016 – Jun 2018) -NL- Client: Home DBA, UK Government -NL- Environment : -NL- Oracle ADF 11g, Oracle Seibel, Java. -NL- Tools : JDeveloper 11.1.1.6.0, Web logic server 10.3.6, Jdeveloper 12c -NL- Siebel CRM version 8.1.1.11, OIM, OBIEE. -NL- Database : Oracle 11g -NL- Product Description: -NL- The employer gets an application form from DBS or an umbrella body (a registered body that gives access to -NL- DBS checks). If applicants need to run a check on themselves, they can get a ‘basic disclosure’ with details of -NL- any unspent convictions from Disclosure Scotland (they can do this anywhere in the UK. -NL- Key Responsibilities- -NL-  Created Technical Design Document for some of requirements. -NL-  Taken requirement from Business analyst and implemented. -NL-  Built different modules in project and successfully deployed project in production environment. -NL-  Working with Prod team to resolve production environment issues. -NL- **`Dharamveer Yadav `[NAME]**-NL- Phone: (M)**` +918800644312`[PHONES_PHONE]** Email: **`dharmveeryadav1990@yahoo.com`[EMAILS_EMAIL]** -NL- **`Wipro Technology`[EMPLOYER_COMPANY_NAME]**, Bangalore. -NL- (Nov ’2013 – Feb’2016) -NL- Client: Reed Elsevier UK -NL- Environment : -NL- Oracle ADF 11g, Oracle ADF BC, Java -NL- Tools : JDeveloper 11.1.1.7.0, Eclipse -NL- Product Description: -NL- The core requirement is to create an editorial platform for Elsevier to allow users to submit research -NL- content to Elsevier for publication and to support the peer review process. The author(s) submit his original -NL- research work with intent of getting it published by a journal. This submission can be with or without -NL- invitation. Once submitted, every manuscript must then undergo a work flow process which is configurable -NL- per journal. The first state in the work flow is the assignment to Editor, who can then accept, reject or -NL- recommend to a different journal. Before acceptance the Editor can form a group of peers to review the -NL- submission and get its input. During each state of the work flow there is substantial amount of configurable -NL- communication between the different actors involved. The states themselves can be reset based on -NL- individual contexts and is not always forward flowing. -NL- . -NL- Key Responsibilities- -NL-  Built functionalities in ADF and JAVA -NL-  Maintaining of Database for all Environments like Development, QA and SIT. -NL-  Coordinating with team and providing updates of activity reports to the Manager. -NL- **`Wipro Technology`[EMPLOYER_COMPANY_NAME]**, Bangalore. -NL- (Dec ’2012 - Nov' 2013) -NL- Client: Capital One UK -NL- Team size: 20 -NL- Environment : -NL- Oracle ADF 11g, Oracle BPM 11g, BPEL, SOA Suite, Java. -NL- Tools : JDeveloper 11.1.1.6.0, Web logic server 10.3.6 -NL- Database : Oracle 10g -NL- Project Description: -NL-  VECTUS is the heart of the acquisition system, which handles all the incoming (telephone and online) -NL- application by performing Decision, fraud check and account setup. -NL-  The main scope of this project is to replace the VECTUS with Oracle Business Process Management – SOA tool -NL- for data extensibility and less complexity. The project will have the following modification and replacement, -NL-  Enable Bureau C++ service (Equifax and Experian) as web service using SOAP tool. -NL-  Replace the Vectus with OBPM-SOA and retain the Vectus Knowledge in OBPM. -NL- Key Responsibilities- -NL-  Worked on functional documents, Maintained manual defect tracking system. -NL-  Implementing screens in ADF ,and implementing functionalities such as retrieving the information from the -NL- database and displaying it in UI in proper format using java and vice versa. -NL- **`PERSONAL DETAILS`[PERSONAL_DETAILS_HEADING]** -NL- Date of Birth : 21th Sep 1990 -NL- **`Dharamveer Yadav `[NAME]**-NL- Phone: (M)**` +918800644312`[PHONES_PHONE]** Email: **`dharmveeryadav1990@yahoo.com`[EMAILS_EMAIL]** -NL- Sex : Male -NL- Nationality : Indian -NL- Marital Status : Married -NL- Linguistics Proficiency : English, Hindi -NL- **`Declaration:`[OTHERS_HEADING]** -NL- I hereby declare that the above-mentioned information is correct up to my knowledge and I bear the responsibility -NL- for the correctness of the above-mentioned particulars. -NL- (Dharamveer yadav) -NL- Date: -NL- Place: Noida -NL- 